--- old/usr/src/man/man1m/automount.1m	Sat Sep 12 00:41:25 2015
+++ new/usr/src/man/man1m/automount.1m	Sat Sep 12 00:41:25 2015
@@ -1,10 +1,11 @@
 '\" te
 .\" Copyright 1989 AT&T
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AUTOMOUNT 1M "Mar 28, 2008"
+.TH AUTOMOUNT 1M "Sep 8, 2015"
 .SH NAME
 automount \- install automatic mount points
 .SH SYNOPSIS
@@ -141,7 +142,7 @@
 direct map, or the simple name of a subdirectory in an indirect map.
 \fImount-options\fR is a comma-separated list of \fBmount\fR options, and
 \fIlocation\fR specifies a file system from which the directory may be mounted.
-In the case of a simple \fBNFS\fR mount, the options that can be used are as
+In the case of a simple \fBNFS\fR mount, the options that can be used are
 specified in \fBmount_nfs\fR(1M), and \fIlocation\fR takes the form:
 .sp
 .in +2
@@ -157,8 +158,8 @@
 \fIpathname\fR is the absolute pathname of the directory to mount.
 .sp
 .LP
-Options to other file systems are documented on the other \fBmount_*\fR
-reference manual pages, for example, \fBmount_cachefs\fR(1M).
+Options to other file systems are documented in the other \fBmount_*\fR
+reference manual pages.
 .SS "Replicated File Systems"
 .sp
 .LP
@@ -403,19 +404,6 @@
 Use this procedure only if you are not using Volume Manager.
 .sp
 .LP
-Mounts using CacheFS are most useful when applied to an entire map as map
-defaults. The following entry in the master map describes cached home directory
-mounts. It assumes the default location of the cache directory, \fB/cache\fR.
-.sp
-.in +2
-.nf
-\fB/home auto_home\fR \fB-fstype\fR \fB=cachefs,backfstype=nfs\fR
-.fi
-.in -2
-.sp
-
-.sp
-.LP
 See the  \fBNOTES\fR section for information on option inheritance.
 .SS "Indirect Maps"
 .sp
@@ -631,8 +619,8 @@
 .sp
 .LP
 \fBisainfo\fR(1), \fBls\fR(1), \fBsvcs\fR(1), \fBuname\fR(1),
-\fBautomountd\fR(1M), \fBmount\fR(1M), \fBmount_cachefs\fR( 1M),
-\fBmount_nfs\fR(1M), \fBsvcadm\fR(1M), \fBautofs\fR(4), \fBattributes\fR(5),
+\fBautomountd\fR(1M), \fBmount\fR(1M), \fBmount_nfs\fR(1M),
+\fBsvcadm\fR(1M), \fBautofs\fR(4), \fBattributes\fR(5),
 \fBnfssec\fR(5), \fBsmf\fR(5)
 .sp
 .LP
--- old/usr/src/man/man1m/fsck.1m	Sat Sep 12 00:41:25 2015
+++ new/usr/src/man/man1m/fsck.1m	Sat Sep 12 00:41:25 2015
@@ -1,10 +1,11 @@
 '\" te
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright 1989 AT&T
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH FSCK 1M "May 7, 2008"
+.TH FSCK 1M "Sep 8, 2015"
 .SH NAME
 fsck \- check and repair file systems
 .SH SYNOPSIS
@@ -371,7 +372,7 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBclri\fR(1M), \fBfsck_cachefs\fR(1M), \fBfsck_ufs\fR(1M), \fBfsdb_ufs\fR(1M),
+\fBclri\fR(1M), \fBfsck_ufs\fR(1M), \fBfsdb_ufs\fR(1M),
 \fBfsirand\fR(1M), \fBfstyp\fR(1M), \fBmkfs\fR(1M), \fBmkfs_ufs\fR(1M),
 \fBmountall\fR(1M), \fBnewfs\fR(1M), \fBreboot\fR( 1M), \fBvfstab\fR(4),
 \fBattributes\fR(5), \fBlargefile\fR(5), \fBufs\fR(7FS)
--- old/usr/src/man/man1m/mount.1m	Sat Sep 12 00:41:26 2015
+++ new/usr/src/man/man1m/mount.1m	Sat Sep 12 00:41:26 2015
@@ -1,9 +1,10 @@
 '\" te
 .\" Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MOUNT 1M "May 29, 2008"
+.TH MOUNT 1M "Sep 8, 2015"
 .SH NAME
 mount, umount \- mount or unmount file systems and remote resources
 .SH SYNOPSIS
@@ -440,11 +441,11 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBlofiadm\fR(1M), \fBmount_cachefs\fR(1M), \fBmount_hsfs\fR(1M),
-\fBmount_nfs\fR(1M), \fBmount_pcfs\fR(1M),  \fBmount_smbfs\fR(1M),
-\fBmount_tmpfs\fR(1M),  \fBmount_udfs\fR(1M), \fBmount_ufs\fR(1M),
-\fBmountall\fR(1M), \fBumountall\fR(1M), \fBfcntl\fR(2), \fBmmap\fR(2),
-\fBmnttab\fR(4), \fBvfstab\fR(4), \fBattributes\fR( 5), \fBlargefile\fR(5),
+\fBlofiadm\fR(1M), \fBmount_hsfs\fR(1M), \fBmount_nfs\fR(1M),
+\fBmount_pcfs\fR(1M),  \fBmount_smbfs\fR(1M), \fBmount_tmpfs\fR(1M),
+\fBmount_udfs\fR(1M), \fBmount_ufs\fR(1M), \fBmountall\fR(1M),
+\fBumountall\fR(1M), \fBfcntl\fR(2), \fBmmap\fR(2), \fBmnttab\fR(4),
+\fBvfstab\fR(4), \fBattributes\fR(5), \fBlargefile\fR(5),
 \fBprivileges\fR(5), \fBlofs\fR(7FS), \fBpcfs\fR(7FS)
 .SH NOTES
 .sp
@@ -452,7 +453,3 @@
 If the directory on which a file system is to be mounted is a symbolic link,
 the file system is mounted on the directory to which the symbolic link refers,
 rather than on top of the symbolic link itself.
-.SH BUGS
-.sp
-.LP
-The \fBmount\fR \fB-p\fR output is incorrect for \fBcachefs\fR.
--- old/usr/src/man/man1m/mount_nfs.1m	Sat Sep 12 00:41:26 2015
+++ new/usr/src/man/man1m/mount_nfs.1m	Sat Sep 12 00:41:26 2015
@@ -1,10 +1,11 @@
 '\" te
 .\" Copyright (c) 2009 Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright 1989 AT&T
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\" See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MOUNT_NFS 1M "Jun 3, 2015"
+.TH MOUNT_NFS 1M "Sep 8, 2015"
 .SH NAME
 mount_nfs \- mount remote NFS resources
 .SH SYNOPSIS
@@ -898,10 +899,6 @@
 \fB/etc/vfstab\fR file.
 .sp
 .LP
-\fBmount_cachefs\fR cannot be used with replicated NFS mounts or any NFS
-Version 4 mount.
-.sp
-.LP
 The NFS client service is managed by the service management facility,
 \fBsmf\fR(5), under the service identifier:
 .sp
--- old/usr/src/man/man1m/zoneadm.1m	Sat Sep 12 00:41:27 2015
+++ new/usr/src/man/man1m/zoneadm.1m	Sat Sep 12 00:41:27 2015
@@ -1,10 +1,10 @@
 '\" te
-.\" Copyright 2014 Nexenta Systems, Inc. All rights reserved.
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright (c) 2009 Sun Microsystems, Inc. All Rights Reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ZONEADM 1M "Dec 26, 2014"
+.TH ZONEADM 1M "Sep 8, 2015"
 .SH NAME
 zoneadm \- administer zones
 .SH SYNOPSIS
@@ -488,7 +488,7 @@
 .RS 4n
 Any \fBfs\fR resources have their \fItype\fR value checked. An error is
 reported if the value is one of \fBproc\fR, \fBmntfs\fR, \fBautofs\fR,
-\fBcachefs\fR, or \fBnfs\fR or the filesystem does not have an associated mount
+or \fBnfs\fR or the filesystem does not have an associated mount
 binary at \fB/usr/lib/fs/\fI<fstype>\fR/mount\fR.
 .sp
 It is an error for the \fIdirectory\fR to be a relative path.
--- old/usr/src/pkg/manifests/SUNWcs.man1m.inc	Sat Sep 12 00:41:29 2015
+++ new/usr/src/pkg/manifests/SUNWcs.man1m.inc	Sat Sep 12 00:41:29 2015
@@ -11,7 +11,7 @@
 
 #
 # Copyright 2011, Richard Lowe
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 file path=usr/share/man/man1m/6to4relay.1m
@@ -30,11 +30,6 @@
 file path=usr/share/man/man1m/autopush.1m
 file path=usr/share/man/man1m/bootadm.1m
 file path=usr/share/man/man1m/busstat.1m
-file path=usr/share/man/man1m/cachefsd.1m
-file path=usr/share/man/man1m/cachefslog.1m
-file path=usr/share/man/man1m/cachefspack.1m
-file path=usr/share/man/man1m/cachefsstat.1m
-file path=usr/share/man/man1m/cachefswssize.1m
 file path=usr/share/man/man1m/captoinfo.1m
 file path=usr/share/man/man1m/cfgadm.1m
 file path=usr/share/man/man1m/cfgadm_ac.1m
@@ -47,7 +42,6 @@
 file path=usr/share/man/man1m/cfgadm_scsi.1m
 file path=usr/share/man/man1m/cfgadm_sysctrl.1m
 file path=usr/share/man/man1m/cfgadm_usb.1m
-file path=usr/share/man/man1m/cfsadmin.1m
 file path=usr/share/man/man1m/chroot.1m
 file path=usr/share/man/man1m/clear_locks.1m
 file path=usr/share/man/man1m/clinfo.1m
@@ -91,7 +85,6 @@
 file path=usr/share/man/man1m/fmthard.1m
 file path=usr/share/man/man1m/format.1m
 file path=usr/share/man/man1m/fsck.1m
-file path=usr/share/man/man1m/fsck_cachefs.1m
 file path=usr/share/man/man1m/fsck_ufs.1m
 file path=usr/share/man/man1m/fsdb.1m
 file path=usr/share/man/man1m/fsdb_ufs.1m
@@ -163,7 +156,6 @@
 file path=usr/share/man/man1m/modload.1m
 file path=usr/share/man/man1m/modunload.1m
 file path=usr/share/man/man1m/mount.1m
-file path=usr/share/man/man1m/mount_cachefs.1m
 file path=usr/share/man/man1m/mount_hsfs.1m
 file path=usr/share/man/man1m/mount_tmpfs.1m
 file path=usr/share/man/man1m/mount_ufs.1m
--- old/usr/src/pkg/manifests/SUNWcs.mf	Sat Sep 12 00:41:29 2015
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Sat Sep 12 00:41:29 2015
@@ -177,7 +177,6 @@
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/autofs group=sys
 dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
-dir path=usr/lib/fs/cachefs group=sys
 dir path=usr/lib/fs/ctfs group=sys
 dir path=usr/lib/fs/dev group=sys
 dir path=usr/lib/fs/fd group=sys
@@ -369,7 +368,6 @@
 file path=etc/inet/wanboot.conf.sample group=sys mode=0444
 file path=etc/init.d/PRESERVE group=sys mode=0744 preserve=true
 file path=etc/init.d/README group=sys preserve=true
-file path=etc/init.d/cachefs.daemon group=sys mode=0744 preserve=true
 file path=etc/init.d/sysetup group=sys mode=0744 preserve=true
 file path=etc/inittab group=sys preserve=true
 file path=etc/ioctl.syscon group=sys preserve=true
@@ -944,20 +942,6 @@
 file path=usr/lib/diffh mode=0555
 file path=usr/lib/expreserve mode=0555
 file path=usr/lib/exrecover mode=0555
-file path=usr/lib/fs/cachefs/cachefsd mode=0555
-file path=usr/lib/fs/cachefs/cachefslog mode=0555
-file path=usr/lib/fs/cachefs/cachefspack mode=0555
-file path=usr/lib/fs/cachefs/cachefsstat mode=0555
-file path=usr/lib/fs/cachefs/cachefswssize mode=0555
-file path=usr/lib/fs/cachefs/cfsadmin mode=0555
-file path=usr/lib/fs/cachefs/cfsfstype mode=0555
-file path=usr/lib/fs/cachefs/cfstagchk mode=0555
-file path=usr/lib/fs/cachefs/dfshares mode=0555
-file path=usr/lib/fs/cachefs/fsck mode=0555
-file path=usr/lib/fs/cachefs/mount mode=0555
-file path=usr/lib/fs/cachefs/share mode=0555
-file path=usr/lib/fs/cachefs/umount mode=0555
-file path=usr/lib/fs/cachefs/unshare mode=0555
 file path=usr/lib/fs/ctfs/mount mode=0555
 file path=usr/lib/fs/fd/mount mode=0555
 file path=usr/lib/fs/hsfs/fstyp.so.1 mode=0555
@@ -1464,8 +1448,6 @@
 file path=var/spool/cron/crontabs/adm group=sys mode=0600 preserve=true
 file path=var/spool/cron/crontabs/root group=sys mode=0600 preserve=true
 hardlink path=etc/rc2.d/S20sysetup target=../../etc/init.d/sysetup
-hardlink path=etc/rc2.d/S73cachefs.daemon \
-    target=../../etc/init.d/cachefs.daemon
 hardlink path=etc/rc2.d/S89PRESERVE target=../../etc/init.d/PRESERVE
 $(sparc_ONLY)hardlink path=etc/svc/profile/platform_SUNW,Sun-Fire-V890.xml \
     target=./platform_SUNW,Sun-Fire-880.xml
@@ -1749,8 +1731,6 @@
 link path=sbin/sh target=../usr/bin/$(ARCH32)/ksh93
 link path=sbin/su target=../usr/bin/su
 link path=usr/adm target=../var/adm
-link path=usr/bin/cachefspack target=../lib/fs/cachefs/cachefspack
-link path=usr/bin/cachefsstat target=../lib/fs/cachefs/cachefsstat
 link path=usr/bin/df target=../sbin/df
 link path=usr/bin/jsh target=ksh93
 link path=usr/bin/pwconv target=../sbin/pwconv
@@ -1785,9 +1765,6 @@
 link path=usr/pub target=./share/lib/pub
 link path=usr/sbin/autopush target=../../sbin/autopush
 link path=usr/sbin/bootadm target=../../sbin/bootadm
-link path=usr/sbin/cachefslog target=../lib/fs/cachefs/cachefslog
-link path=usr/sbin/cachefswssize target=../lib/fs/cachefs/cachefswssize
-link path=usr/sbin/cfsadmin target=../lib/fs/cachefs/cfsadmin
 link path=usr/sbin/cryptoadm target=../../sbin/cryptoadm
 link path=usr/sbin/dcopy target=./clri
 link path=usr/sbin/devnm target=./df
--- old/usr/src/pkg/manifests/system-header.mf	Sat Sep 12 00:41:29 2015
+++ new/usr/src/pkg/manifests/system-header.mf	Sat Sep 12 00:41:29 2015
@@ -22,7 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
@@ -1006,13 +1006,6 @@
 $(sparc_ONLY)file path=usr/include/sys/fpu/ieee.h
 file path=usr/include/sys/frame.h
 file path=usr/include/sys/fs/autofs.h
-file path=usr/include/sys/fs/cachefs_dir.h
-file path=usr/include/sys/fs/cachefs_dlog.h
-file path=usr/include/sys/fs/cachefs_filegrp.h
-file path=usr/include/sys/fs/cachefs_fs.h
-file path=usr/include/sys/fs/cachefs_fscache.h
-file path=usr/include/sys/fs/cachefs_ioctl.h
-file path=usr/include/sys/fs/cachefs_log.h
 file path=usr/include/sys/fs/decomp.h
 file path=usr/include/sys/fs/dv_node.h
 file path=usr/include/sys/fs/fifonode.h
--- old/usr/src/pkg/manifests/system-kernel.mf	Sat Sep 12 00:41:29 2015
+++ new/usr/src/pkg/manifests/system-kernel.mf	Sat Sep 12 00:41:29 2015
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 #
@@ -579,7 +580,6 @@
 $(i386_ONLY)file path=kernel/exec/elfexec group=sys mode=0755
 $(i386_ONLY)file path=kernel/exec/intpexec group=sys mode=0755
 file path=kernel/fs/$(ARCH64)/autofs group=sys mode=0755
-file path=kernel/fs/$(ARCH64)/cachefs group=sys mode=0755
 file path=kernel/fs/$(ARCH64)/ctfs group=sys mode=0755
 file path=kernel/fs/$(ARCH64)/dcfs group=sys mode=0755
 file path=kernel/fs/$(ARCH64)/dev group=sys mode=0755
@@ -597,7 +597,6 @@
 file path=kernel/fs/$(ARCH64)/tmpfs group=sys mode=0755
 file path=kernel/fs/$(ARCH64)/ufs group=sys mode=0755
 $(i386_ONLY)file path=kernel/fs/autofs group=sys mode=0755
-$(i386_ONLY)file path=kernel/fs/cachefs group=sys mode=0755
 $(i386_ONLY)file path=kernel/fs/ctfs group=sys mode=0755
 $(i386_ONLY)file path=kernel/fs/dcfs group=sys mode=0755
 $(i386_ONLY)file path=kernel/fs/dev group=sys mode=0755
--- old/usr/src/tools/env/illumos.sh	Sat Sep 12 00:41:30 2015
+++ new/usr/src/tools/env/illumos.sh	Sat Sep 12 00:41:30 2015
@@ -19,7 +19,7 @@
 # CDDL HEADER END
 #
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2010, 2011 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
 # Copyright 2015, OmniTI Computer Consulting, Inc. All rights reserved.
 #
@@ -199,8 +199,8 @@
 export UT_NO_USAGE_TRACKING='1'
 
 # Build tools - don't change these unless you know what you're doing.  These
-# variables allows you to get the compilers and onbld files locally or
-# through cachefs.  Set BUILD_TOOLS to pull everything from one location.
+# variables allows you to get the compilers and onbld files locally.
+# Set BUILD_TOOLS to pull everything from one location.
 # Alternately, you can set ONBLD_TOOLS to where you keep the contents of
 # SUNWonbld and SPRO_ROOT to where you keep the compilers.  SPRO_VROOT
 # exists to make it easier to test new versions of the compiler.
--- old/usr/src/uts/common/Makefile.files	Sat Sep 12 00:41:30 2015
+++ new/usr/src/uts/common/Makefile.files	Sat Sep 12 00:41:30 2015
@@ -24,7 +24,7 @@
 # Copyright (c) 2012 Joyent, Inc.  All rights reserved.
 # Copyright (c) 2011, 2014 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
-# Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
 #
@@ -1107,15 +1107,6 @@
 #
 AUTOFS_OBJS +=	auto_vfsops.o auto_vnops.o auto_subr.o auto_xdr.o auto_sys.o
 
-CACHEFS_OBJS +=	cachefs_cnode.o		cachefs_cod.o \
-		cachefs_dir.o		cachefs_dlog.o	cachefs_filegrp.o \
-		cachefs_fscache.o	cachefs_ioctl.o	cachefs_log.o \
-		cachefs_module.o \
-		cachefs_noopc.o		cachefs_resource.o \
-		cachefs_strict.o \
-		cachefs_subr.o		cachefs_vfsops.o \
-		cachefs_vnops.o
-
 DCFS_OBJS +=	dc_vnops.o
 
 DEVFS_OBJS +=	devfs_subr.o	devfs_vfsops.o	devfs_vnops.o
--- old/usr/src/uts/common/Makefile.rules	Sat Sep 12 00:41:30 2015
+++ new/usr/src/uts/common/Makefile.rules	Sat Sep 12 00:41:30 2015
@@ -22,7 +22,7 @@
 #
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
-# Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
 #
@@ -207,10 +207,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/cachefs/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/fs/dcfs/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1739,9 +1735,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/autofs/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/cachefs/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/fs/ctfs/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
--- old/usr/src/uts/common/cpr/cpr_misc.c	Sat Sep 12 00:41:31 2015
+++ new/usr/src/uts/common/cpr/cpr_misc.c	Sat Sep 12 00:41:31 2015
@@ -21,6 +21,7 @@
 /*
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  */
 
 #include <sys/types.h>
@@ -1085,7 +1086,7 @@
  * This is a list of file systems that are allowed to be writeable when a
  * reusable statefile checkpoint is taken.  They must not have any state that
  * cannot be restored to consistency by simply rebooting using the checkpoint.
- * (In contrast to ufs, cachefs and pcfs which have disk state that could get
+ * (In contrast to ufs and pcfs which have disk state that could get
  * out of sync with the in-kernel data).
  */
 int
--- old/usr/src/uts/common/fs/vfs.c	Sat Sep 12 00:41:33 2015
+++ new/usr/src/uts/common/fs/vfs.c	Sat Sep 12 00:41:33 2015
@@ -21,6 +21,7 @@
 /*
  * Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2012, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989 AT&T	*/
@@ -4655,8 +4656,8 @@
  * convention that the NFS V2 filesystem name is "nfs" (see vfs_conf.c)
  * we need to map "nfs" => "nfsdyn" and "nfs2" => "nfs".  The dynamic
  * nfs module will map the type back to either "nfs", "nfs3", or "nfs4".
- * This is only for root filesystems, all other uses such as cachefs
- * will expect that "nfs" == NFS V2.
+ * This is only for root filesystems, all other uses will expect
+ * that "nfs" == NFS V2.
  */
 static void
 getrootfs(char **fstypp, char **fsmodp)
--- old/usr/src/uts/common/os/swapgeneric.c	Sat Sep 12 00:41:33 2015
+++ new/usr/src/uts/common/os/swapgeneric.c	Sat Sep 12 00:41:33 2015
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1982, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  */
 
 /*
@@ -632,8 +633,8 @@
  * convention that the NFS V2 filesystem name is "nfs" (see vfs_conf.c)
  * we need to map "nfs" => "nfsdyn" and "nfs2" => "nfs".  The dynamic
  * nfs module will map the type back to either "nfs", "nfs3", or "nfs4".
- * This is only for root filesystems, all other uses such as cachefs
- * will expect that "nfs" == NFS V2.
+ * This is only for root filesystems, all other uses will expect
+ * that "nfs" == NFS V2.
  *
  * If the filesystem isn't already loaded, vfs_getvfssw() will load
  * it for us, but if (at the time we call it) modrootloaded is
--- old/usr/src/uts/common/sys/Makefile	Sat Sep 12 00:41:33 2015
+++ new/usr/src/uts/common/sys/Makefile	Sat Sep 12 00:41:33 2015
@@ -22,6 +22,7 @@
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013, Joyent, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 include $(SRC)/uts/Makefile.uts
@@ -843,13 +844,6 @@
 
 FSHDRS=				\
 	autofs.h		\
-	cachefs_dir.h		\
-	cachefs_dlog.h		\
-	cachefs_filegrp.h	\
-	cachefs_fs.h		\
-	cachefs_fscache.h	\
-	cachefs_ioctl.h		\
-	cachefs_log.h		\
 	decomp.h		\
 	dv_node.h		\
 	sdev_impl.h		\
--- old/usr/src/uts/common/sys/filio.h	Sat Sep 12 00:41:34 2015
+++ new/usr/src/uts/common/sys/filio.h	Sat Sep 12 00:41:34 2015
@@ -21,6 +21,7 @@
 /*
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989 AT&T	*/
@@ -88,11 +89,6 @@
 #define	_FIOTUNE	_IO('f', 77)		/* tuning */
 
 /*
- * WARNING: These 'f' ioctls are also defined in sys/fs/cachefs_fs.h
- * It currently defines 78-86.
- */
-
-/*
  * Internal Logging UFS
  */
 #define	_FIOLOGENABLE	_IO('f', 87)		/* logging/ufs protocol */
--- old/usr/src/uts/common/sys/mntent.h	Sat Sep 12 00:41:34 2015
+++ new/usr/src/uts/common/sys/mntent.h	Sat Sep 12 00:41:34 2015
@@ -21,6 +21,7 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  *
  *	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T
  *		All Rights Reserved
@@ -43,7 +44,6 @@
 #define	MNTTYPE_NFS	"nfs"		/* NFS file system */
 #define	MNTTYPE_NFS3	"nfs3"		/* NFS Version 3 file system */
 #define	MNTTYPE_NFS4	"nfs4"		/* NFS Version 4 file system */
-#define	MNTTYPE_CACHEFS	"cachefs"	/* Cache File System */
 #define	MNTTYPE_PCFS	"pcfs"		/* PC (MSDOS) file system */
 #define	MNTTYPE_PC	MNTTYPE_PCFS	/* Deprecated name; use MNTTYPE_PCFS */
 #define	MNTTYPE_LOFS	"lofs"		/* Loop back file system */
--- old/usr/src/uts/common/sys/vfs.h	Sat Sep 12 00:41:35 2015
+++ new/usr/src/uts/common/sys/vfs.h	Sat Sep 12 00:41:35 2015
@@ -20,7 +20,7 @@
  */
 /*
  * Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989 AT&T	*/
@@ -71,14 +71,6 @@
  * machine.  This is typically called by a stateless file server
  * in order to generate "file handles".
  *
- * Do not change the definition of struct fid ... fid_t without
- * letting the CacheFS group know about it!  They will have to do at
- * least two things, in the same change that changes this structure:
- *   1. change CFSVERSION in usr/src/uts/common/sys/fs/cachefs_fs.h
- *   2. put the old version # in the canupgrade array
- *	in cachfs_upgrade() in usr/src/cmd/fs.d/cachefs/fsck/fsck.c
- * This is necessary because CacheFS stores FIDs on disk.
- *
  * Many underlying file systems cast a struct fid into other
  * file system dependent structures which may require 4 byte alignment.
  * Because a fid starts with a short it may not be 4 byte aligned, the
--- old/usr/src/uts/common/sys/vtoc.h	Sat Sep 12 00:41:35 2015
+++ new/usr/src/uts/common/sys/vtoc.h	Sat Sep 12 00:41:35 2015
@@ -24,6 +24,7 @@
  *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  */
 
 
@@ -79,7 +80,7 @@
 #define	V_VAR		0x07		/* Var partition */
 #define	V_HOME		0x08		/* Home partition */
 #define	V_ALTSCTR	0x09		/* Alternate sector partition */
-#define	V_CACHE		0x0a		/* Cache (cachefs) partition */
+#define	V_CACHE		0x0a		/* CacheFS partition (obsolete) */
 
 /* Tags for EFI/GPT labels */
 #define	V_RESERVED	0x0b		/* SMI reserved data */
--- old/usr/src/uts/intel/Makefile.intel	Sat Sep 12 00:41:35 2015
+++ new/usr/src/uts/intel/Makefile.intel	Sat Sep 12 00:41:35 2015
@@ -19,7 +19,7 @@
 #
 
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2014 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2015 Nexenta Systems, Inc. All rights reserved.
 # Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 
 #
@@ -519,7 +519,7 @@
 #
 #	File System Modules (/kernel/fs):
 #
-FS_KMODS	+= autofs cachefs ctfs dcfs dev devfs fdfs fifofs hsfs lofs
+FS_KMODS	+= autofs ctfs dcfs dev devfs fdfs fifofs hsfs lofs
 FS_KMODS	+= mntfs namefs nfs objfs zfs zut
 FS_KMODS	+= pcfs procfs sockfs specfs tmpfs udfs ufs sharefs
 FS_KMODS	+= smbfs
--- old/usr/src/uts/sparc/Makefile.sparc	Sat Sep 12 00:41:35 2015
+++ new/usr/src/uts/sparc/Makefile.sparc	Sat Sep 12 00:41:35 2015
@@ -21,6 +21,7 @@
 
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2013 Andrew Stormont.  All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 
 
 #
@@ -351,7 +352,7 @@
 #	File System Modules (/kernel/fs):
 #
 FS_KMODS	+= dev devfs fdfs fifofs hsfs lofs namefs nfs pcfs tmpfs zfs
-FS_KMODS	+= zut specfs udfs ufs autofs cachefs procfs sockfs mntfs
+FS_KMODS	+= zut specfs udfs ufs autofs procfs sockfs mntfs
 FS_KMODS	+= ctfs objfs sharefs dcfs smbfs
 
 #
